


unit FormScaler;
interface
procedure Form2Scaler;
implementation
uses visualization,forms,dialogs,sysutils;

procedure Form2Scaler;
var vCoeff,hCoeff:word;
Begin
with screen do
 begin
  if (Width<>1680) or (height<>1050) then
   showMessage('Spectrum.'#13#10'The interface of the program was preparead for the 1680x1050 screen resolution!'#13#10+
   'Your screen parameters are: '+intToStr(width)+'x'+intToStr(height)+'.'#13#10'Try to change your graphic card parameters to these values');
  vCoeff:=round(height/1050);
  hCoeff:=round(width/1680);
 end;
with Form2 do
 begin   //Form2);
  Left := hCoeff*800;
  Top := vCoeff*0;
  Width := hCoeff*1650;
  Height := vCoeff*816;
  with Label68 do
   begin   //Label);
    Left:=hCoeff*819;
    Top:=vCoeff*277;
    Width:=hCoeff*140;
    Height:=vCoeff*14;
   end;

  with Label8 do
   begin   //Label;
    Left:=hCoeff*873;
    Top:=vCoeff*32;
    Width:=hCoeff*90;
    Height:=vCoeff*13;
   end;
  with Label12 do
   begin   //Label;
    Left:=hCoeff*816;
    Top:=vCoeff*261;
    Width:=hCoeff*47;
    Height:=vCoeff*13;
   end;
  (*with Label6 do
   begin   //Label;
    Left:=hCoeff*120;
    Top:=vCoeff*6;
    Width:=hCoeff*16;
    Height:=vCoeff*13;
   end;
    *)
  with Label55 do         
 begin   //Label;
    Left:=hCoeff*816;
    Top:=vCoeff*321;
    Width:=hCoeff*71;
    Height:=vCoeff*13;
  end;
  with Label56 do         
 begin   //Label;
    Left:=hCoeff*913;
    Top:=vCoeff*321;
    Width:=hCoeff*5;
    Height:=vCoeff*13;
  end;
  with Label57 do         
 begin   //Label;
    Left:=hCoeff*818;
    Top:=vCoeff*336;
    Width:=hCoeff*73;
    Height:=vCoeff*13;
  end;
  with Label58 do         
 begin   //Label;
    Left:=hCoeff*1153;
    Top:=vCoeff*321;
    Width:=hCoeff*5;
    Height:=vCoeff*13;
  end;
  with Label59 do         
 begin   //Label;
    Left:=hCoeff*912;
    Top:=vCoeff*336;
    Width:=hCoeff*5;
    Height:=vCoeff*13;
  end;
  with Label60 do         
 begin   //Label;
    Left:=hCoeff*1154;
    Top:=vCoeff*336;
    Width:=hCoeff*5;
    Height:=vCoeff*13;
  end;
  with Label61 do         
 begin   //Label;
    Left:=hCoeff*814;
    Top:=vCoeff*272;
    Width:=hCoeff*49;
    Height:=vCoeff*14;
  end;
  with Label62 do         
 begin   //Label;
    Left:=hCoeff*914;
    Top:=vCoeff*261;
    Width:=hCoeff*39;
    Height:=vCoeff*13;
  end;
  with Label63 do         
 begin   //Label;
    Left:=hCoeff*904;
    Top:=vCoeff*272;
    Width:=hCoeff*49;
    Height:=vCoeff*14;
  end;
  with Label64 do         
 begin   //Label;
    Left:=hCoeff*1018;
    Top:=vCoeff*261;
    Width:=hCoeff*24;
    Height:=vCoeff*13;
  end;
  with Label65 do         
 begin   //Label;
    Left:=hCoeff*993;
    Top:=vCoeff*272;
    Width:=hCoeff*49;
    Height:=vCoeff*14;
  end;
  with Label66 do         
 begin   //Label;
    Left:=hCoeff*1078;
    Top:=vCoeff*261;
    Width:=hCoeff*33;
    Height:=vCoeff*13;
  end;
  with Label67 do         
 begin   //Label;
    Left:=hCoeff*1062;
    Top:=vCoeff*272;
    Width:=hCoeff*49;
    Height:=vCoeff*14;
  end;
  with Label70 do         
 begin   //Label;
    Left:=hCoeff*1256;
    Top:=vCoeff*301;
    Width:=hCoeff*32;
    Height:=vCoeff*13;
  end;
  with Label71 do         
 begin   //Label;
    Left:=hCoeff*1096;
    Top:=vCoeff*35;
    Width:=hCoeff*37;
    Height:=vCoeff*13;
  end;
  with Label92 do         
 begin   //Label;
    Left:=hCoeff*1024;
    Top:=vCoeff*178;
    Width:=hCoeff*111;
    Height:=vCoeff*13;
  end;
  with Panel1 do         
 begin   //Panel;
    Left:=hCoeff*56;
    Top:=vCoeff*25;
    Width:=hCoeff*1561;
    Height:=vCoeff*64;
  end;
  with MediaPlayer1 do         
 begin   //MediaPlayer;
    Left:=hCoeff*826;
    Top:=vCoeff*112;
    Width:=hCoeff*253;
    Height:=vCoeff*30;
  end;
  with BitBtn1 do         
 begin   //BitBtn;
    Left:=hCoeff*769;
    Top:=vCoeff*113;
    Width:=hCoeff*30;
    Height:=vCoeff*30;
  end;
  with Button3 do         
 begin   //Button;
    Left:=hCoeff*816;
    Top:=vCoeff*176;
    Width:=hCoeff*99;
    Height:=vCoeff*25;
  end;
  with Panel2 do         
 begin   //Panel;
    Left:=hCoeff*56;
    Top:=vCoeff*121;
    Width:=hCoeff*540;
    Height:=vCoeff*200;
  end;
  with Panel3 do         
 begin   //Panel;
    Left:=hCoeff*56;
    Top:=vCoeff*153;
    Width:=hCoeff*540;
    Height:=vCoeff*200;
  end;
  with Panel4 do         
 begin   //Panel;
    Left:=hCoeff*56;
    Top:=vCoeff*589;
    Width:=hCoeff*540;
    Height:=vCoeff*200;
  end;
  with Button1 do         
 begin   //Button;
    Left:=hCoeff*1512;
    Top:=vCoeff*575;
    Width:=hCoeff*97;
    Height:=vCoeff*25;
  end;
  with Edit1 do         
 begin   //Edit;
    Left:=hCoeff*816;
    Top:=vCoeff*29;
    Width:=hCoeff*41;
    Height:=vCoeff*21;
  end;
  with Panel7 do         
 begin   //Panel;
    Left:=hCoeff*817;
    Top:=vCoeff*503;
    Width:=hCoeff*416;
    Height:=vCoeff*105;
    with Label29 do         
 begin   //Label;
      Left:=hCoeff*11;
      Top:=vCoeff*8;
      Width:=hCoeff*37;
      Height:=vCoeff*13;
    end;
    with Button2 do         
 begin   //Button;
      Left:=hCoeff*8;
      Top:=vCoeff*73;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
    with Button4 do         
 begin   //Button;
      Left:=hCoeff*171;
      Top:=vCoeff*73;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
    with Button5 do         
 begin   //Button;
      Left:=hCoeff*252;
      Top:=vCoeff*73;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
    with Button6 do         
 begin   //Button;
      Left:=hCoeff*334;
      Top:=vCoeff*73;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
    with CheckBox2 do         
 begin   //CheckBox;
      Left:=hCoeff*208;
      Top:=vCoeff*8;
      Width:=hCoeff*121;
      Height:=vCoeff*17;
    end;
    with CheckBox1 do         
 begin   //CheckBox;
      Left:=hCoeff*208;
      Top:=vCoeff*32;
      Width:=hCoeff*97;
      Height:=vCoeff*17;
    end;
    with Button7 do         
 begin   //Button;
      Left:=hCoeff*89;
      Top:=vCoeff*73;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
    with Button8 do         
 begin   //Button;
      Left:=hCoeff*89;
      Top:=vCoeff*47;
      Width:=hCoeff*75;
      Height:=vCoeff*25;
    end;
  end;
  with Memo1 do         
 begin   //Memo;
    Left:=hCoeff*815;
    Top:=vCoeff*354;
    Width:=hCoeff*290;
    Height:=vCoeff*140;
  end;
  with Memo2 do         
 begin   //Memo;
    Left:=hCoeff*1114;
    Top:=vCoeff*353;
    Width:=hCoeff*257;
    Height:=vCoeff*140;
  end;
  with Edit2 do         
 begin   //Edit;
    Left:=hCoeff*1032;
    Top:=vCoeff*31;
    Width:=hCoeff*57;
    Height:=vCoeff*21;
  end;
  with Edit24 do         
 begin   //Edit;
    Left:=hCoeff*953;
    Top:=vCoeff*174;
    Width:=hCoeff*40;
    Height:=vCoeff*21;
  end;
  with UpDown1 do         
 begin   //UpDown;
    Left:=hCoeff*993;
    Top:=vCoeff*174;
    Width:=hCoeff*15;
    Height:=vCoeff*21;
  end;
  with CheckBox4 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*304;
    Width:=hCoeff*97;
    Height:=vCoeff*17;
  end;
  with CheckBox5 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*692;
    Width:=hCoeff*97;
    Height:=vCoeff*17;
  end;
  with CheckBox6 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*708;
    Width:=hCoeff*97;
    Height:=vCoeff*17;
  end;
  with CheckBox7 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*121;
    Width:=hCoeff*97;
    Height:=vCoeff*17;
  end;
  with CheckBox8 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*144;
    Width:=hCoeff*97;
    Height:=vCoeff*17;
  end;
  with CheckBox9 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*165;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox10 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*189;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox11 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*213;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox12 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*237;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox13 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*261;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox14 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*591;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox15 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*617;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;
  with CheckBox16 do         
 begin   //CheckBox;
    Left:=hCoeff*624;
    Top:=vCoeff*644;
    Width:=hCoeff*128;
    Height:=vCoeff*17;
  end;

  with Panel5 do         
 begin   //Panel;
    Left:=hCoeff*56;
    Top:=vCoeff*371;
    Width:=hCoeff*540;
    Height:=vCoeff*200;
  end;
end;
End;
END.

